/**
 * $Id: defines.h,v 1.8 2002/10/01 21:06:24 plasmahh Exp $
 * $Revision: 1.8 $
 * $Author: plasmahh $
 * $Date: 2002/10/01 21:06:24 $
 */
#ifndef __DEFINES_H
#define __DEFINES_H

#ifdef _FAST_
#ifdef _SAFE_
#error You can not define _FAST_ AND _SAFE_ please choose only one of them
#endif
#endif

/// use this as argumentfor exceptions. Function, line, and file will be displayed then
#define __FLF__ __PRETTY_FUNCTION__, __LINE__, __FILE__

/// if the difference between two floats is smaller than this, they are taken as equally
#define FLOAT_ZERO 1e-10

#else
#warning multiple inclusion of defines.h please check your source
#endif
/**
 *$Log: defines.h,v $
 *Revision 1.8  2002/10/01 21:06:24  plasmahh
 *new math things
 *
 *Revision 1.7  2002/05/05 20:24:36  plasmahh
 *added doygen configuration file
 *made dllist work
 *added dlliterator to dllist.h
 *made some test progams cooler ;)
 *added some exceptions...
 *anything else to do ?? *G*
 *
 *Revision 1.6  2002/04/30 21:35:17  plasmahh
 *first working exceptions
 *first working strings, not everything implemented, should also be tested !
 *
 *Revision 1.5  2002/04/30 19:34:06  plasmahh
 *fixed segfault with new gcc/g++ compilers
 *
 *Revision 1.4  2002/04/29 18:20:23  plasmahh
 *some small changes in definitions
 *
 *Revision 1.3  2002/04/29 16:09:15  plasmahh
 *first version of double link list, that compiles. Needs to be tested
 *added #define _DEBUG_ to defines, for indicating debug compilation
 *
 *Revision 1.2  2002/04/20 09:24:32  iceblox
 *Corrected the warning messages
 *
 *Revision 1.1  2002/04/18 22:54:33  plasmahh
 *- Added defines.h for some global definitions
 *- Introduced _FAST_ and _SAFE_ defines for some compilation control
 *- Added some string.h operator prototypes
 *
 */
