/**
 * $Id: smtp_commands.h,v 1.4 2002/06/11 22:00:43 plasmahh Exp $
 * $Revision: 1.4 $
 * $Author: plasmahh $
 * $Date: 2002/06/11 22:00:43 $
 */
#define CRLF "\r\n"

static const char * testcmds[] = {
        "EXPN" CRLF,        
	"EXPN all" CRLF,
	"HELP EXPN" CRLF,
	"VRFY" CRLF,
	"VRFY root" CRLF,
	"HELP VRFY" CRLF,
	"HELP HELO" CRLF,
	"HELP EHLO" CRLF,
        "ATRN" CRLF,
	"AUTH" CRLF,
	"AUTH PLAIN" CRLF,
	"AUTH CRAM-MD5" CRLF,	
	"HELP AUTH" CRLF,
	"SOML FROM: test" CRLF,
	"RSET" CRLF,
	"NOOP" CRLF,
	"SAML FROM: test" CRLF,
	"RSET" CRLF,
	"SEND FROM: test" CRLF,
	"RSET" CRLF,
	"MAIL FROM: jjhauh" CRLF,
	"RSET" CRLF,
	"DATA" CRLF,
	"RCPT TO: root" CRLF,
	"RSET" CRLF,
	"MAIL FROM: nobody" CRLF,
	"RCPT TO: freeman@hotmail.com" CRLF,
	"RSET" CRLF,
	"MAIL FROM: user" CRLF,
	"RCPT TO: nikay@krenze.ar" CRLF,
	"RSET" CRLF,
	"VERB" CRLF,
	"TURN" CRLF,
	"DATA" CRLF,
	"RSET" CRLF,
	"TURN" CRLF,
	"DSN" CRLF,
	"HELP DSN" CRLF,
	"VRFY" CRLF,
	"HELP" CRLF,
	"MAIL" CRLF,
	"HELP MAIL" CRLF,
	"RCPT" CRLF,
	"HELP RCPT" CRLF,
	"RSET" CRLF,
	"DATA" CRLF,
	"HELP DATA" CRLF,
	"RSET" CRLF,
	"HELP RSET" CRLF,
	"NOOP" CRLF,
	"HELP NOOP" CRLF,
	"MAIL test" CRLF,
	"MAIL FROM: test" CRLF,
	"RSET" CRLF,
	"RCPT niemand" CRLF,
	"MAIL FROM: ich" CRLF,
	"RCPT" CRLF,
	"RCPT TO: niemand" CRLF,
	"RSET" CRLF,
	"DATA" CRLF,
	"ETRN localhost" CRLF,
	"RSET" CRLF,
	"VRFY root" CRLF,
	"VRFY bin" CRLF,
	"VRFY testuser" CRLF,
	"RSET" CRLF,
	"ONEX " CRLF,
	"TURN" CRLF,
	"SOML" CRLF,
	"VERB" CRLF,
	"STARTTLS" CRLF,
	"HELP STARTTLS" CRLF,
        "QUIT" CRLF,
        NULL
};

/**
 *$Log: smtp_commands.h,v $
 *Revision 1.4  2002/06/11 22:00:43  plasmahh
 *unfortunately had to change fingerprints
 *
 *Revision 1.3  2002/05/27 06:26:16  plasmahh
 *Implemented, tested and fixed fingerprinting. Test Programs generate good fingerprints, only need to put all in a program and generateerror values
 *
 *Revision 1.2  2002/05/23 19:50:04  plasmahh
 *refined include structure.
 *implemented and fixed some parts, still not working
 *BUG !! FIX THIS !!! : multiple definition of some operators, we will never compile !!
 *
 *Revision 1.1  2002/05/13 14:36:42  plasmahh
 *Added new scanner technologies to plug in new scanners in the future
 *
 *Revision 1.3  2002/05/06 21:27:44  plasmahh
 *redesigned the classes a bit...
 *begin  implementing main & static
 *
 *Revision 1.2  2002/04/16 20:12:12  plasmahh
 *Added some new headers
 *
 */
