/**
 * $Id: fp.cpp,v 1.4 2002/10/21 08:38:29 plasmahh Exp $
 * $Revision: 1.4 $
 * $Author: plasmahh $
 * $Date: 2002/10/21 08:38:29 $
 */
#ifndef __FP_H
#include "fp.h"
#endif 

ostream & operator << (ostream& o,  const fp& v)/*{{{*/
{
    o << v.version << " errval : " << v.error;
    return o;
}/*}}}*/

bool operator < ( const fp& a, const fp& b)/*{{{*/
{
    return (a.error < b.error);
}/*}}}*/

bool operator > ( const fp& a, const fp& b)/*{{{*/
{
    return (a.error > b.error);
}/*}}}*/

/**
 *$Log: fp.cpp,v $
 *Revision 1.4  2002/10/21 08:38:29  plasmahh
 *begin cleanup and structure changes for smtpmap 0.8-stable
 *
 *Revision 1.3  2002/10/16 23:06:17  plasmahh
 *new function for reading fingerprints from file
 *fixes some stuff
 *
 *Revision 1.2  2002/06/11 14:16:11  plasmahh
 *Added << operator
 *
 *Revision 1.1  2002/06/10 22:10:34  plasmahh
 *first partly working fingerprinting, moving to BETA state
 *
 *Revision 1.5  2002/06/09 21:22:39  plasmahh
 */
